Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoOneMaxMutation< GenotypeT > Class Template Reference

Always write a comment in this format before class definition if you want the class to be documented by Doxygen. More...

`#include <eoOneMaxMutation.h>`

Inheritance diagram for eoOneMaxMutation< GenotypeT >:

List of all members.

## Public Member Functions
| eoOneMaxMutation ()
| Ctor - no requirement.
string | className () const
| The class name. Used to display statistics.
bool | operator() (GenotypeT &_genotype)
| modifies the parent

## Detailed Description

### template<class GenotypeT>
class eoOneMaxMutation< GenotypeT >

Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

THere is NO ASSUMPTION on the class GenoypeT. In particular, it does not need to derive from EO

Definition at line 25 of file eoOneMaxMutation.h.

## Member Function Documentation

template<class GenotypeT>
bool eoOneMaxMutation< GenotypeT >::operator() | ( | GenotypeT & | _genotype | ) | `[inline, virtual]`

  | modifies the parent Parameters:
  | _genotype | The parent genotype (will be modified)
Requirement if (_genotype has been modified) isModified = true; else isModified = false; Implements eoUF< GenotypeT &, bool >. Definition at line 47 of file eoOneMaxMutation.h.

The documentation for this class was generated from the following file:

- eoOneMaxMutation.h